textures/skies/nitesky
{
	qer_editorimage textures/skies/polluted_earth.jpg
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_globaltexture
	q3map_surfacelight 120
	surfaceparm sky

        nopicmip
        nomipmaps

	q3map_sunExt 1 0.9 0.9 250 320 30
	q3map_skylight 100 4
	skyparms env/polluted_earth/polluted_earth - -
}

textures/liquids/lavahell_750
{
	qer_editorimage textures/liquids_lava/lava0.tga
	surfaceparm lava
	surfaceparm noimpact
	surfaceparm trans
	cull disable
	deformVertexes wave 150.0 sin 2 5 0.25 0.1
	Q3map_TessSize 128
	q3map_surfacelight 1000
	q3map_lightSubdivide 64
	{
		map textures/liquids_lava/lava0.tga
		blendfunc GL_SRC_ALPHA GL_ONE
	}
}

textures/sfx/flame1km
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	q3map_surfacelight 6000
	q3map_flare flareShader-lava
	deformVertexes wave 194 sin 0 1 0 .6
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga 
		blendfunc gl_src_alpha gl_one
		alphaGen wave inversesawtooth 0 1 0 10 
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_src_alpha gl_one
		alphaGen wave sawtooth 0 1 0 10 
	}
}

textures/sfx/flame1side
{
	qer_editorimage textures/sfx/flame6.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	deformVertexes wave 194 sin 0 1 0 .6
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga 
		blendfunc gl_src_alpha gl_one
		alphaGen wave inversesawtooth 0 1 0 10 
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_src_alpha gl_one
		alphaGen wave sawtooth 0 1 0 10 
	}
}

textures/sfx/flame2
{
	qer_editorimage textures/sfx/flame5.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	q3map_surfacelight 3787
	q3map_flare textures/sfx/flameflare
	deformVertexes wave 194 sin 0 1 0 .6
	{
		animmap 8 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga 
		blendfunc gl_src_alpha gl_one
		rgbGen wave inversesawtooth 0 1 0 8 
	}
	{
		animmap 8 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga 
		blendfunc gl_src_alpha gl_one
		rgbGen wave sawtooth 0 1 0 8 
	}
}

textures/sfx/flameflare
{
	qer_editorimage textures/sfx/flame5.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	q3map_surfacelight 3787
	q3map_flare textures/sfx/flameflare
	deformVertexes wave 194 sin 0 1 0 .6
	{
		animmap 8 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga 
		blendfunc gl_src_alpha gl_one
		rgbGen wave inversesawtooth 0 1 0 8 
	}
	{
		animmap 8 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga 
		blendfunc gl_src_alpha gl_one
		rgbGen wave sawtooth 0 1 0 8 
	}
}

flareShader-lava
{
	{
		clampmap textures/flares/lava.tga
		blendfunc add
		rgbGen Vertex
		tcMod rotate 12
	}
	{
		clampmap textures/flares/lava.tga
		blendfunc add
		rgbGen Vertex
		tcMod rotate -5
	}
}

flareShader-portal
{
	{
		clampmap textures/flares/portalflare.tga
		blendfunc add
		rgbGen Vertex
		tcMod rotate 9
		tcMod stretch sin 0.5 -0.5 0 0.2 
	}
	{
		clampmap textures/flares/portalflare.tga
		blendfunc add
		rgbGen Vertex
		tcMod rotate -17
		tcMod stretch sin 0 1 0 0.2 
	}
	{
		clampmap textures/flares/flarey.tga
		blendfunc add
		rgbGen Vertex
		tcMod rotate 1
	}
}
